package com.szls.nstths.controller;

import com.szls.nstths.entity.TeData;
import com.szls.nstths.mapper.TeDataMapper;
import com.szls.nstths.mapper.UserMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class DataController {

    private static final Logger logger = LoggerFactory.getLogger(DataController.class);

    private TeDataMapper teDataMapper;

    @Autowired
    public void setTeDataMapper(TeDataMapper teDataMapper) {
        this.teDataMapper = teDataMapper;
    }

    @PostMapping("/equipmentTestingEnd")
    public String equipmentTesting(TeData teData) {
        logger.info("{}", teData);
        int dbi = teDataMapper.insert(teData);
        return dbi + " success";
    }
}
